import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
	state: {
		// 用户信息
		user_info: {},
		// 配置信息
		settings: {
			open_vconsole: false,
			is_dark_mode: false,
		},
		// 失物招领信息
		laf: [],
		// bottomBar显示状态
		bar_state: true
	},
	mutations: {
		// 设置用户信息
		SET_USERINFO(state, user_info) {
			state.user_info = user_info;
		},
		// 设置配置信息
		SET_SETTINGS(state, settings) {
			state.settings = settings;
		},
		// 设置失物招领信息
		SET_LAF(state, laf) {
			state.laf = laf;
		},
		// 设置bottomBar显示状态
		SET_BARSTATE(state, bar_state) {
			state.bar_state = bar_state;
		},
	},
	actions: {
		// 设置用户信息
		setUserInfo({
			commit
		}, arg) {
			commit('SET_USERINFO', arg[0]);
			localStorage.setItem("storeState", JSON.stringify(arg[1].$store.state));
		},
		// 设置配置信息
		setSettings({
			commit
		}, arg) {
			commit('SET_SETTINGS', arg[0]);
			localStorage.setItem("storeState", JSON.stringify(arg[1].$store.state));
		},
		// 设置失物招领信息
		setLaf({
			commit
		}, arg) {
			commit('SET_LAF', arg[0]);
			localStorage.setItem("storeState", JSON.stringify(arg[1].$store.state));
		},
		// 设置bottomBar显示状态
		setBarState({
			commit
		}, arg) {
			commit('SET_BARSTATE', arg[0]);
			localStorage.setItem("storeState", JSON.stringify(arg[1].$store.state));
		},
	},
	modules: {}
})
